Name:          minizip
Version:       2.10.0
Release:       1mamba
Summary:       A zip manipulation library written in C
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/nmoinvaz/minizip
## GITSOURCE https://github.com/nmoinvaz/minizip.git 2.10.0
Source:        https://github.com/nmoinvaz/minizip.git/%{version}/minizip-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
minizip is a zip manipulation library written in C.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DCMAKE_INSTALL_INCLUDEDIR=include/minizip

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libminizip.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/minizip
%{_includedir}/minizip/*.h
%dir %{_libdir}/cmake/minizip
%{_libdir}/cmake/minizip/minizip*.cmake
%{_libdir}/libminizip.so
%{_libdir}/pkgconfig/minizip.pc
%doc README.md


%changelog
* Tue Sep 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-1mamba
- package created using the webbuild interface
